%define major		3
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		coordgen
Version:	3.0.2
Release:	2
Summary:	Schrodinger-developed 2D Coordinate Generation
License:	BSD
Group:		System/Libraries
URL:		https://github.com/schrodinger/coordgenlibs
Source0:	https://github.com/schrodinger/coordgenlibs/archive/v%{version}/%{name}libs-%{version}.tar.gz
Patch0:		coordgen-3.0.1-fix-cmake-config-files-install-dir.patch

BuildRequires:	cmake
BuildRequires:	boost-devel
BuildRequires:	maeparser-devel
BuildRequires:	pkgconfig(zlib)

%description
This is Schrödinger, Inc's 2D coordinate generation. It was formerly
proprietary code, but is now released under the BSD license. The emphasis
of these algorithms are on quality of 2D coordinates rather than speed of
generation. The algorithm distinguishes itself from many others by doing
well with both macrocycles and metal complexes. It also does extremely
well on typical drug-like small molecules, and has been validated on
millions of compounds.

Schrodinger intends to continue to contribute to this code as it still
uses it inside its products, but will also be happy if others contribute
pull-requests when there are improvements they would like to make. We'll
also be happy to hear bug reports or feature requests from use of this
code,though make no guarantee on our ability to process these.

#------------------------------------------------

%package -n	%{libname}
Summary:	Schrodinger-developed 2D Coordinate Generation
Group:		System/Libraries

%description -n	%{libname}
This is Schrödinger, Inc's 2D coordinate generation. It was formerly
proprietary code, but is now released under the BSD license. The emphasis
of these algorithms are on quality of 2D coordinates rather than speed of
generation. The algorithm distinguishes itself from many others by doing
well with both macrocycles and metal complexes. It also does extremely
well on typical drug-like small molecules, and has been validated on
millions of compounds.

Schrodinger intends to continue to contribute to this code as it still
uses it inside its products, but will also be happy if others contribute
pull-requests when there are improvements they would like to make. We'll
also be happy to hear bug reports or feature requests from use of this
code,though make no guarantee on our ability to process these.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n	%{develname}
Header files for development with %{name}.

#------------------------------------------------

%prep
%autosetup -p1 -n %{name}libs-%{version}

%build
%cmake -DCOORDGEN_USE_MAEPARSER=ON
%make_build

%install
%make_install -C build

mkdir -p %{buildroot}%{_datadir}/coordgen/
install -m 0644 templates.mae %{buildroot}%{_datadir}/coordgen/

%files -n %{libname}
%doc README.md LICENSE
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{develname}
%doc README.md
%license LICENSE
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/cmake/%{name}/
%{_datadir}/coordgen/

%changelog
* Mon Sep 30 2024 Aleksandr Proklov <a.proklov@rosalinux.ru> aa0fa2d  (HEAD, origin/rosa2023.1)
- adapt for Rosa

* Mon Sep 30 2024 Aleksandr Proklov <a.proklov@rosalinux.ru> b1e1fff  (origin/master, origin/HEAD, master)
- initial commit message